Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_WFMO_Reactor_Handler_Repository::Suspended_Info Class Reference

This structure inherits from the common structure to add information for suspended entries. More...

`#include <WFMO_Reactor.h>`

Inheritance diagram for ACE_WFMO_Reactor_Handler_Repository::Suspended_Info

[legend]
Collaboration diagram for ACE_WFMO_Reactor_Handler_Repository::Suspended_Info:

[legend]
List of all members.

## Public Methods
| Suspended_Info (void)
| Constructor used for initializing the structure.
void | reset (void)
| Reset the state of the structure.
void | set (ACE_HANDLE event_handle, int io_entry, ACE_Event_Handler *event_handler, ACE_HANDLE io_handle, long network_events, int delete_event, int delete_entry = 0, ACE_Reactor_Mask close_masks = 0, int resume_entry = 0)
| Set the structure to these new values.
void | set (ACE_HANDLE event_handle, Common_Info &common_info, int resume_entry = 0)
| Set the structure to these new values.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
ACE_HANDLE | event_handle_
| Handle for the event.
int | resume_entry_
| This is set when the entry needed to be resumed.

## Detailed Description

This structure inherits from the common structure to add information for suspended entries.

## Constructor & Destructor Documentation

ACE_INLINE ACE_WFMO_Reactor_Handler_Repository::Suspended_Info::Suspended_Info ( | void )

| Constructor used for initializing the structure.

## Member Function Documentation

ACE_INLINE void ACE_WFMO_Reactor_Handler_Repository::Suspended_Info::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_WFMO_Reactor_Handler_Repository::Common_Info.

ACE_INLINE void ACE_WFMO_Reactor_Handler_Repository::Suspended_Info::reset ( | void )

| Reset the state of the structure. Reimplemented from ACE_WFMO_Reactor_Handler_Repository::Common_Info.

ACE_INLINE void ACE_WFMO_Reactor_Handler_Repository::Suspended_Info::set ( | ACE_HANDLE event_handle,
| Common_Info & common_info,
| int resume_entry = 0 )

| Set the structure to these new values.

ACE_INLINE void ACE_WFMO_Reactor_Handler_Repository::Suspended_Info::set ( | ACE_HANDLE event_handle,
| int io_entry,
| ACE_Event_Handler * event_handler,
| ACE_HANDLE io_handle,
| long network_events,
| int delete_event,
| int delete_entry = 0,
| ACE_Reactor_Mask close_masks = 0,
| int resume_entry = 0 )

| Set the structure to these new values.

## Member Data Documentation

ACE_HANDLE ACE_WFMO_Reactor_Handler_Repository::Suspended_Info::event_handle_

| Handle for the event.

int ACE_WFMO_Reactor_Handler_Repository::Suspended_Info::resume_entry_

| This is set when the entry needed to be resumed.

The documentation for this class was generated from the following files:

- WFMO_Reactor.h
- WFMO_Reactor.i